cholesky.cpp File Reference

Implementation of Cholesky factorisation functions. More...

`#include <itpp/config.h>`
`#include <itpp/base/algebra/cholesky.h>`

Go to the source code of this file.

## Namespaces

namespace | itpp
| itpp namespace

## Functions

bool | itpp::chol (const mat &X, mat &F)
| Cholesky factorisation of real symmetric and positive definite matrix.
bool | itpp::chol (const cmat &X, cmat &F)
| Cholesky factorisation of complex hermitian and positive-definite matrix.
cmat | itpp::chol (const cmat &X)
| Cholesky factorisation of complex hermitian and positive-definite matrix.
mat | itpp::chol (const mat &X)
| Cholesky factorisation of real symmetric and positive definite matrix.

## Detailed Description

Implementation of Cholesky factorisation functions.

Author
  Tony Ottosson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file cholesky.cpp.

Generated on Mon Jun 10 2024 11:49:26 for IT++ by Doxygen 1.9.8